package com.tomas.lps_asi.lib;

import androidx.annotation.Nullable;

public abstract class SpinObjectModel {

    public abstract String getICS_Code();
    public abstract String getName();
    public abstract String getRank();
    public abstract String getCustomer();
    public abstract String getQty_Reel();
    public abstract String getType();

    @Override
    public boolean equals(@Nullable Object obj) {
        return ((SpinObjectModel)obj).getICS_Code().equals(this.getICS_Code());
    }
}
